#
# spec file for package sax2 (Version 4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bindutil flex freetype freetype2 gettext gpp hwinfo hwinfo-devel libgpp ncurses perl perl-Storable perl-Tk perl-gettext readline readline-devel swig ttmkfdir wget xdevel xf86 xf86driver-options xshared yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip hwinfo hwinfo-devel kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Storable perl-Tk perl-gettext ps rcs readline readline-devel rpm sendmail sh-utils shadow strace swig syslogd sysvinit texinfo textutils timezone ttmkfdir unzip util-linux vim wget xdevel xf86 xf86driver-options xshared yacc

Name:         sax2
Requires:     perl perl-Tk xbanner perl-Storable perl-gettext xloader fbset
Summary:      SuSE advanced X-Configuration (XFree86 4.x)
Version:      4.3
Release:      223
Group:        X11/Applications
Copyright:    GPL
Source:       sax2.tar.bz2
BuildRoot:    /var/tmp/%{name}-build
%ifarch ppc sparc sparc64
Provides:     sax
Obsoletes:    sax
%endif
%ifarch sparc sparc64
Requires:     sax2_sbus
%endif
Patch:        sax2.dif
Patch1:       sax2_sis.dif

%description
SuSE advanced X-Configuration (XFree86 4.x)

Authors:
--------
    Marcus Schfer <ms@suse.de>

SuSE series: x

%package -n saxtools
Version:      2.2
Release:      223
Summary:      X11 tools for SaX2
Group:        X11/Applications
Provides:     sax2:/usr/X11R6/lib/sax/init.pl

%description -n saxtools
Some small X11 tools to handle input devices,
for example, mouse and keyboard devices.

Authors:
--------
    Marcus Schfer <ms@suse.de>

SuSE series: x

%define suse_70_or_71 %(SUSE=`cat /etc/SuSE-release | grep VERSION | cut -f2 -d= | tr -d " "` ; test "$SUSE" = "7.0" || test "$SUSE" = "7.1" && echo "1" || echo "0" ; exit 0)
%define not_suse_73 %(SUSE=`cat /etc/SuSE-release | grep VERSION | cut -f2 -d= | tr -d " "` ; test "$SUSE" = "7.0" || test "$SUSE" = "7.1" || test "$SUSE" = "7.2" && echo "1" || echo "0" ; exit 0)
%prep
%setup -n sax
%ifarch ppc
%patch
%patch1
%endif

%build
# get SuSE version...
# --------------------
export RELEASE=`cat /etc/SuSE-release | head -n 1`
export SUSE=`cat /etc/SuSE-release | grep VERSION | cut -f2 -d= | tr -d " "`
if [ ! "$SUSE" = "7.0" ] && [ ! "$SUSE" = "7.1" ];then
 SUSE="7.1"
fi
# if SuSE 7.0 change parse.c not to use dev_screen
# -------------------------------------------------
if [ "$SUSE" = "7.0" ];then
 cat ./parse/parse.c | \
  sed -e s@"#if 1"@"#if 0"@ > ./parse/parse.c.new
 mv ./parse/parse.c.new ./parse/parse.c
fi
# update modification time... 
# ----------------------------
for i in `find -name "*"`;do touch $i; done
# add SuSE version to sax.sh script...
# -------------------------------------
cat ./startup/sax.sh | \
 sed -e s@SuSE-Linux@"$RELEASE"@ \
> /tmp/sax.sh
cp /tmp/sax.sh ./startup/sax.sh
# compile the sources...
# -----------------------
make

%preun
chroot . rm -f /var/X11R6/lib/sax/sysp/rdbms/*
chroot . rm -f /var/X11R6/lib/sax/files/*
chroot . rm -f /var/X11R6/lib/xfine/*
if [ ! -d /var/X11R6/lib/xfine ];then
 mkdir -p /var/X11R6/lib/xfine
fi

%install
rm -rf $RPM_BUILD_ROOT
export ASK_FOR_CHANGELOG=no
export ARCH=`/bin/arch`
export SUSE=`cat /etc/SuSE-release | grep VERSION | cut -f2 -d= | tr -d " "`
if [ ! "$SUSE" = "7.0" ] && [ ! "$SUSE" = "7.1" ];then
 SUSE="7.1"
fi
make buildroot=$RPM_BUILD_ROOT install
# install tools for the saxtools subpackage
# ------------------------------------------
(
 cd $RPM_BUILD_ROOT/usr/X11R6/lib/sax/tools
 install -m 755 * $RPM_BUILD_ROOT/usr/X11R6/bin/
)
# create startup link
# --------------------
( 
 rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/sax2 && \
    cd $RPM_BUILD_ROOT/usr/X11R6/bin && ln -s SaX2 sax2
)
# create xfine link
# ------------------
( 
 rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/xfine2
 cd $RPM_BUILD_ROOT/usr/X11R6/bin && \
    ln -s /usr/X11R6/bin/XFine2 xfine2 
)
# create xfine directory
# -----------------------
if [ ! -d $RPM_BUILD_ROOT/var/X11R6/lib/xfine ];then
 mkdir -p $RPM_BUILD_ROOT/var/X11R6/lib/xfine
fi
# create sysp link
# -----------------
(
 rm -f $RPM_BUILD_ROOT/usr/sbin/sysp
 cd $RPM_BUILD_ROOT/usr/sbin && \
    ln -s /usr/X11R6/lib/sax/sysp.pl sysp
)
# check for the xf86 options file at /etc/X11/CardModules...
# ------------------------------------------------------------
if [ -f "/etc/X11/CardModules.new" ];then
 cp /etc/X11/CardModules.new \
 $RPM_BUILD_ROOT/usr/X11R6/lib/sax/api/data/CardModules
elif [ -f "/etc/X11/CardModules" ];then
 cp /etc/X11/CardModules \
 $RPM_BUILD_ROOT/usr/X11R6/lib/sax/api/data/CardModules
fi
# install docs
# -------------
if [ ! -d $RPM_BUILD_ROOT%{_defaultdocdir}/sax2 ];then
 mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/sax2
fi
install -m 644 ./doc/LICENCE $RPM_BUILD_ROOT%{_defaultdocdir}/sax2
install -m 644 ./doc/README  $RPM_BUILD_ROOT%{_defaultdocdir}/sax2
install -m 644 ./doc/en/compiled/* $RPM_BUILD_ROOT%{_defaultdocdir}/sax2
install -m 644 ./doc/de/compiled/* $RPM_BUILD_ROOT%{_defaultdocdir}/sax2
# export the CDB data...
# ------------------------
echo "exporting CDB data..."
case "$ARCH" in
 i386|i586|i686)
  ARCH="i386"  ;;
 ia64)
  ARCH="i386"  ;;
 ppc)
  ARCH="ppc"   ;;
 alpha)
  ARCH="axp"   ;;
 sparc|sparc64)
  ARCH="sparc" ;;
 *)
  echo "no CDB architecture found"
  ARCH="ia32" ;;
esac
# Here we had to export the new database data
# from the new CDB...
#
# ...
# In the meantime we will hold architecture specific 
# data within the package itself. This should be
# immediatelly fixed if a new DB is up to date
# --
if [ -f ./sysp/maps/arch/Identity.map.$ARCH ];then
 install -m 644 ./sysp/maps/arch/Identity.map.$ARCH \
 $RPM_BUILD_ROOT/usr/X11R6/lib/sax/sysp/maps/Identity.map
fi
# transform Identitiy information to Cards file
# -----------------------------------------------
./.cards.pl -f \
 $RPM_BUILD_ROOT/usr/X11R6/lib/sax/sysp/maps/Identity.map \
> $RPM_BUILD_ROOT/usr/X11R6/lib/sax/api/data/cdb/Cards
# The following should be replace with the new
# CDB export scripts... In the meantime we will
# maintain the Monitors file manually
# ----
# [ monitor export: marked for exchange ]
# ------------------------------------------
# /usr/bin/host developdb.suse.de 2>/dev/null >/dev/null
# if [ $? = 0 ];then
#  wget -Yoff http://developdb.suse.de/monitordb/saxmonitors.php3 \
#  		 -O $RPM_BUILD_ROOT/usr/X11R6/lib/sax/api/data/cdb/Monitors.db
#  if [ $? = 0 ];then
#   cp $RPM_BUILD_ROOT/usr/X11R6/lib/sax/api/data/cdb/Monitors.db \
#      $RPM_BUILD_ROOT/usr/X11R6/lib/sax/api/data/cdb/Monitors
#  fi
# fi
# [ end mark ]
# copy manual pages...
# ---------------------
install -d -m 755 /etc
install -d -m 755 /etc/X11
install -d -m 755 /usr/share
install -d -m 755 /usr/share/man
install -d -m 755 /usr/share/man/man3
for i in `ls -1 /usr/man/man3`;do
 install -m 644 /usr/man/man3/$i /usr/share/man/man3
done
#-------------------#
# SaX files...      #
# ------------------#

%files
%dir /usr/X11R6/lib/sax
%dir /usr/X11R6/lib/sax/api
%dir /usr/X11R6/lib/sax/api/lang
%dir /usr/X11R6/lib/sax/doc
%dir /usr/X11R6/lib/sax/sysp
%dir /usr/X11R6/lib/sax/sysp/maps
%dir /usr/X11R6/lib/sax/sysp/script
%dir /var/X11R6/lib/sax/sysp/rdbms
%dir /var/X11R6/lib/sax/files
%dir /usr/X11R6/lib/sax/perl
%dir /usr/X11R6/lib/xfine
%dir /usr/X11R6/lib/xfine/tools
%dir /var/X11R6/lib/xfine
/usr/X11R6/lib/sax/doc/config
/usr/X11R6/lib/sax/doc/guitest
/usr/X11R6/lib/sax/doc/README
/usr/X11R6/lib/sax/cvsbuild
/usr/X11R6/lib/sax/init.pl
/usr/X11R6/lib/sax/xc.pl
/usr/X11R6/lib/sax/xw.pl
/usr/X11R6/lib/sax/xapi.pl
/usr/X11R6/lib/sax/xrun.pl
/usr/X11R6/lib/sax/pci.pl
/usr/X11R6/lib/sax/screen.pl
/usr/X11R6/lib/sax/intro.pl 
/usr/X11R6/lib/sax/sysp.pl
/usr/X11R6/lib/sax/modules
/usr/X11R6/lib/sax/tools
/usr/X11R6/lib/sax/api/callback
/usr/X11R6/lib/sax/api/dialog
/usr/X11R6/lib/sax/api/data
/usr/X11R6/lib/sax/api/pixmaps
/usr/X11R6/bin/sax.sh
/usr/X11R6/bin/SaX2
/usr/X11R6/bin/sax2
/usr/X11R6/bin/xfine2
/usr/X11R6/bin/XFine2
/usr/X11R6/lib/xfine/tools/wrap
/usr/X11R6/lib/xfine/tools/xquery
/usr/X11R6/lib/xfine/modules
/usr/X11R6/lib/xfine/pixmaps
/usr/X11R6/lib/xfine/xfine.pl
/var/X11R6/lib/sax/profile
/usr/X11R6/lib/sax/sysp/maps/Identity.map
/usr/X11R6/lib/sax/sysp/maps/Keyboard.map
/usr/X11R6/lib/sax/sysp/script/installed.pl
/usr/X11R6/lib/sax/sysp/script/killdot.pl
/usr/X11R6/lib/sax/sysp/script/machine.pl
/usr/X11R6/lib/sax/sysp/script/preparelog.pl
/usr/X11R6/lib/sax/sysp/script/checkmap.pl
/usr/X11R6/lib/XFree.so
/usr/X11R6/lib/PLog.so
/usr/sbin/sysp
/usr/share/locale/de/LC_MESSAGES/sax.mo
/usr/share/locale/en_US/LC_MESSAGES/sax.mo
/usr/share/locale/en_GB/LC_MESSAGES/sax.mo
/usr/share/locale/lt/LC_MESSAGES/sax.mo
/usr/share/locale/hu/LC_MESSAGES/sax.mo
/usr/share/locale/da/LC_MESSAGES/sax.mo
/usr/share/locale/fr/LC_MESSAGES/sax.mo
/usr/share/locale/es/LC_MESSAGES/sax.mo
/usr/share/locale/ca/LC_MESSAGES/sax.mo
/usr/share/locale/pt/LC_MESSAGES/sax.mo
/usr/share/locale/cs/LC_MESSAGES/sax.mo
/usr/share/locale/it/LC_MESSAGES/sax.mo
/usr/share/locale/sk/LC_MESSAGES/sax.mo
/usr/share/locale/nl/LC_MESSAGES/sax.mo
/usr/share/locale/de/LC_MESSAGES/xfine.mo
/usr/share/locale/en_US/LC_MESSAGES/xfine.mo
/usr/share/locale/en_GB/LC_MESSAGES/xfine.mo
/usr/share/locale/hu/LC_MESSAGES/xfine.mo
/usr/share/locale/da/LC_MESSAGES/xfine.mo
/usr/share/locale/fr/LC_MESSAGES/xfine.mo
/usr/share/locale/es/LC_MESSAGES/xfine.mo
/usr/share/locale/ca/LC_MESSAGES/xfine.mo
/usr/share/locale/cs/LC_MESSAGES/xfine.mo
/usr/share/locale/sk/LC_MESSAGES/xfine.mo
/usr/share/locale/nl/LC_MESSAGES/xfine.mo
/usr/share/locale/it/LC_MESSAGES/xfine.mo
/usr/share/locale/lt/LC_MESSAGES/xfine.mo
/usr/lib/perl5/site_perl/*/*/auto/Term/ReadLine/Gnu/.packlist
/usr/lib/perl5/site_perl/*/*/Term/ReadLine/Gnu.pm
/usr/lib/perl5/site_perl/*/*/Term/ReadLine/Gnu/XS.pm
/usr/lib/perl5/site_perl/*/*/auto/Term/ReadLine/Gnu/Gnu.bs
/usr/lib/perl5/site_perl/*/*/auto/Term/ReadLine/Gnu/Gnu.so
/usr/lib/perl5/site_perl/*/*/auto/Term/ReadLine/Gnu/XS/autosplit.ix
%if %{not_suse_73}
/usr/lib/perl5/site_perl/*/*/auto/Tie/Watch/.packlist
/usr/lib/perl5/site_perl/*/Tie/Watch.pm
%endif
/usr/lib/perl5/site_perl/*/*/auto/Tk/GBARR/.packlist
/usr/lib/perl5/site_perl/*/Tk/Cloth.pm
/usr/lib/perl5/site_perl/*/Tk/FireButton.pm
/usr/lib/perl5/site_perl/*/Tk/NumEntry.pm
/usr/lib/perl5/site_perl/*/Tk/NumEntryPlain.pm
%if %{suse_70_or_71}
/usr/lib/perl5/site_perl/*/Tk/Pane.pm
/usr/lib/perl5/site_perl/*/Tk/ProgressBar.pm
%endif
/usr/lib/perl5/site_perl/*/Tk/TFrame.pm
%doc %{_defaultdocdir}/sax2/LICENCE
%doc %{_defaultdocdir}/sax2/README
%doc %{_defaultdocdir}/sax2/sax.en.ps
%doc %{_defaultdocdir}/sax2/sax.en.dvi
%doc %{_defaultdocdir}/sax2/sax.de.ps
%doc %{_defaultdocdir}/sax2/sax.de.dvi
%doc %{_mandir}/man3/Term::ReadLine::Gnu.3pm.gz
%if %{not_suse_73}
%doc %{_mandir}/man3/Tie::Watch.3pm.gz
%endif
%doc %{_mandir}/man3/Tk::Cloth.3pm.gz
%doc %{_mandir}/man3/Tk::FireButton.3pm.gz
%doc %{_mandir}/man3/Tk::NumEntry.3pm.gz
%doc %{_mandir}/man3/Tk::NumEntryPlain.3pm.gz
%if %{suse_70_or_71}
%doc %{_mandir}/man3/Tk::Pane.3pm.gz
%doc %{_mandir}/man3/Tk::ProgressBar.3pm.gz
%endif
%doc %{_mandir}/man3/Tk::TFrame.3pm.gz
#-------------------------#
# SaX-Tools file list...  #
# ------------------------#

%files -n saxtools
/usr/X11R6/bin/xmset
/usr/X11R6/bin/xkbset
/usr/X11R6/bin/xmode
/usr/X11R6/bin/xquery
/usr/X11R6/bin/xidle
/usr/X11R6/bin/xbound

%changelog -n sax2
* Wed Nov 14 2001 - ms@suse.de
- removed wrong SiS chip entries from the Identity.map
- fixed gpm start/stop handling
* Thu Oct 11 2001 - ms@suse.de
  [ ifarch ppc patch ]
- fixed color handling, really use 15 bit on ppc
  if 3D is not enabled
* Fri Oct 05 2001 - ms@suse.de
  [ ifarch ppc patch ]
- update Identity used for PPC
- changed default color depth handling for PPC
  use 15 bit if architecure is ppc and 3D is NOT used
* Mon Sep 24 2001 - ms@suse.de
- fixed Matrox_G550 profile and update the Identity.map. We want to
  use the Hal library and have to set option hwcursor off to do this
* Mon Sep 24 2001 - ms@suse.de
- fixed comment header of XF86Config to use only 7-bit character
- fixed mouse detection to update symbolic links /dev/pointerX
* Mon Sep 24 2001 - ms@suse.de
- add layout/inputdevice link check to the MouseSave() function
  if you decide to import an existing configuration with two inputdevices
  than take back your decision and import the autodetected data with
  one device you need to restructure the connection between the
  ServerLayout section and the InputDevice sections
* Mon Sep 24 2001 - ms@suse.de
- fixed FontPath for latin2/Type1
- fixed mouse detection not to include Emulate3Buttons if
  the IMPS/2 protocol is used
- fixed Identity entry for neomagic chipsets
- add Identity.map.ppc from Olaf to CVS
- fixed naming of wacom tablets [Bug: 11205]
* Fri Sep 21 2001 - ms@suse.de
- update Identity map, using Matrox_G550 profile for multihead
  environments. Profile was adapt to use the Option NoHal
- fixed xmode.c not to use wrong x/y specifier if resolution pairs
  like 720x400 are used. Bug: 11166
* Fri Sep 21 2001 - ms@suse.de
- fixed IIYAMA Vision Master Pro 451 specification
- update Identity.map [i386] -> add option NoHal to Matrox G550
  this will fix the mouse cursor bug shown as black square
* Wed Sep 19 2001 - ms@suse.de
- add new syntax check to detect panels on IBM Thinkpads Model: T21
- fixed bug in MouseHandleButtonRemove() function. In a special case
  it is possible that there is a ServerLayout specification for a
  mouse which was removed. I added a ServerLayout check to the mouse
  handler function to fix this bug.
* Tue Sep 18 2001 - ms@suse.de
- moved scaled fonts to work as unscaled fonts just
  because of the very bad font structure used after rescaling
- update Identity (include sw_cursor option for 0x10DE 0x0110)
* Tue Sep 18 2001 - ms@suse.de
- fixed vmware driver handling. This means we will not include
  the DefaultColorDepth keyword to the XF86Config and we will
  setup the selected resolution for all supported color depths
* Mon Sep 17 2001 - ms@suse.de
- update Identity.map [ Include Matrox G550 support ]
- include keyboard fix from kendy@suse.cz
- rename all cs and cs_qwerty to cz and cz_qwerty (KbdLanguage)
- add sk and sk_qwerty (KbdLanguage,Keyboard.map)
- remove special Czech keyboards and use "Standard Keyboard [ pc104 ]"
  instead of them (Keyboards)
- update mappings kbd -> xkb (Keyboard.map)
* Mon Sep 17 2001 - ms@suse.de
- changed keyboard protocol from powerpcps2 to pc104
  since SuSE 7.3 the powerpcps2 map is no longer needed
  this fix will only affect the PPC distribution
* Mon Sep 17 2001 - ms@suse.de
- Identity map update
  There was a bug in the CDB export script. the script maintained
  and fixed by rbarn@suse.de did not check for all the valid tags
  in the corresponding tables
* Mon Sep 17 2001 - ms@suse.de
- fixed Matrox profiles
- add profile for new Matrox G550 card
- fixed xw.c not to report any AccessX messages
* Sun Sep 16 2001 - ms@suse.de
- fixed language encoding for the fonts used for IS0-8859-2
  in the intro.pl code
- remove strict checking from xc.pl because this will cause
  problems using SaX2 on SuSE 7.0
- run AccessX in an own sub process and prevent us from
  annoying extension messages
* Thu Sep 13 2001 - ms@suse.de
- fixed serious selection bug if fbdev driver is
  used for one card we tried to select the first desktop but this
  desktop don`t have to exist at this time. Include an "exists" check
  to be sure we can select the item
- add new widget handling for the expert modi of the
  modules [Cards Desktop Keyboard Mouse]
* Wed Sep 12 2001 - ms@suse.de
- add v4l description to the card dialog [expert stuff]
- add german translation to the v4l module
- new keys added to .po files marked for translation
* Wed Sep 12 2001 - ms@suse.de
- update CDB data for Identity.map [i386]
* Tue Sep 11 2001 - ms@suse.de
- add hu_HU and sk_SK as locales for ISO-8859-2
* Tue Sep 11 2001 - ms@suse.de
- fixed demo.sh not to hang and to work on firegl based cards
  which are only able to do 24bit of color depth. Bug: [10249]
* Tue Sep 11 2001 - ms@suse.de
- fixed monitor header comment
- add microtouch touchscreen data and create a new key called
  RawData for InputDevices [ Bug:10094 ]
- add sax2_sbus patch to cvs: original changelog from kukuk@suse.de
  (Use sax2_sbus to configure SBUS framebuffer cards on SPARC)
- fixed broken charset bug for czech environment [ Bug: 10183 ]
  (xfine.pl and xapi.pl -> LoadText() function)
- cleaning require itemstyle code in xapi.pl
  (require Tk::ItemStyle)
- add ati_mobility_m3 profile used for PPC and mach64 cards
* Fri Aug 31 2001 - ms@suse.de
- use fbset to determine whether the framebuffer is active or not
  This will prevent us from the Bus-error problem on SPARC
* Fri Aug 31 2001 - ms@suse.de
- fixed checkmap.pl to be able to handle empty KEYTABLE variables
- update Identity map for CELSIUS mobile
* Thu Aug 30 2001 - ms@suse.de
- fixed wacom Tablet data (made the stylus the primary device)
- fixed button position in intro.pl
- update Identity.map
* Wed Aug 29 2001 - ms@suse.de
- add spanish translation
  [translator: Jordi Jaen Pallares <jordi@suse.de>]
* Tue Aug 28 2001 - ms@suse.de
- fixed Tablet data for Tevion serial tablet
- add translation changes to .po files (fr,es,it)
* Mon Aug 27 2001 - ms@suse.de
- add nobus profile used for unclassified devices which could
  not be allocated to a special BusID
- do not write BusID if specification is "Single"
- add unclassified device to Identity.map used for cards
  which could not be detected via PCI/AGP scan
- fixed menu selection bug [9881]
- fixed loop bug during sysp scan (server.c) [9880]
* Mon Aug 27 2001 - ms@suse.de
- fixed number menu entry index marked to be
  disabled in fbdev mode
* Fri Aug 24 2001 - ms@suse.de
- fixed intro.pl to be more user friendly.
- adapt translation and buttons of intro.pl
* Fri Aug 24 2001 - ms@suse.de
- add "not_suse_73" macro to spec file. This is used to exclude
  the Watch.pm module from the filelist if SaX2 is build for
  SuSE >= 7.3
* Thu Aug 23 2001 - ms@suse.de
- add Tevion Tablet (ALDI Tablet) support to SaX2
* Wed Aug 22 2001 - ms@suse.de
- removed xmods_3x from need/used for build
- add -k option to intro.pl to see the keypad only (just for screenshots)
- add new Identity.map for i386 as export from the new CDB database
* Tue Aug 21 2001 - ms@suse.de
- enable modeline calculation if the user has decided to read
  the existing configuration and the resolution list or the
  frequencies has changed during the setup process (DesktopCallBack.pm)
- removed modelines from the firegl profiles
  diamond_firegl and diamond_firegl2
- update header information of the Identity.map
* Thu Aug 16 2001 - ms@suse.de
- add Vision Master 451 description to Monitor file
- add v4l module to list for manual selection
* Thu Aug 16 2001 - ms@suse.de
- fixed isax.pl eval code
- add new ycp map output for modeline stuff into the
  isax.pl code
* Wed Jul 25 2001 - ms@suse.de
- switched off support for AccessX on PowerPC
- use 16 bit default color depth for powerpc now
- update of the Identity from Olaf
* Fri Jul 20 2001 - ms@suse.de
- add cvsbuild number to sax2 log file
- clean up code to work with strict settings (xc.pl/init.pl)
* Wed Jul 18 2001 - ms@suse.de
- add Makefiles for generating/cleaning .mo files
- fixed .po header of all languages
- add new IIyama Monitors
* Tue Jul 17 2001 - ms@suse.de
- update Identity.map.ppc
- fixed bug in sysp.h: do not remove the " signs if RAW is specified
  in the Identity
* Mon Jul 16 2001 - ms@suse.de
- fixed mouse detection if there is no mouse connected
- update Identity map for macintosh
* Wed Jul 11 2001 - ms@suse.de
- add profile Matrox_G400 dualhead
- fixed import code of existing configurations
* Tue Jul 10 2001 - ms@suse.de
- add support for islandic keyboard map
- add support to lookup OS dependant color depth if we are
  working in a vmware session
* Tue Jul 10 2001 - ro@suse.de
- added freetype2 to neededforbuild
* Wed Jul 04 2001 - ms@suse.de
- allow MinimumX.. values to be 0 in XconfigCallBack.pm
- fixed FashionType bug which add an image to the wrong
  place in MouseCallBack.pm
- fixed microtouch Touchscreen section in Touchscreens
- fixed sg map which does not exist to de_CH
- add Xpert 2000 support to Identity.map
- enhancement for checkmap.pl to look if there is a comment in the
  same line of the map setting
* Tue Jun 26 2001 - ms@suse.de
- enable modeline calculation if user has changed frequencies
* Tue Jun 26 2001 - ms@suse.de
- fixed startup of external programs in xapi.pl. The event
  handling was stopped this is a rather bad property. Now the
  event handling goes on and the main window does not accept
  any input events until the forked program exits
- add startup messages to own page called Intro.pm
- add translation for startup messages to .po files (DE)
* Fri Jun 22 2001 - ms@suse.de
- add view of PACKAGE3D to sysp 3D detection (d3.c sysp.h sysp.c)
- add UpdateMessage to message catalogue
- add support for YaST2 online update to xapi.pl
  mainly needed for nvidia cards
* Thu Jun 21 2001 - ms@suse.de
- add profile support for DDC-ID identified monitors
* Thu Jun 21 2001 - ms@suse.de
- add jet another monitor to the list (Monitors)
- add use of Modeline entries during detection if the
  Monitor was identified via DDC-I
* Thu Jun 21 2001 - ms@suse.de
- add version tag [SuSE-Linux] to sax.sh which is patched
  from sax2.spec to the build dist version
* Thu Jun 21 2001 - ms@suse.de
- add Language Codes for SaX2 (LangCodes)
- outhouse the first path definitions to file (LangFirstPath)
- add detection of first path elements to AutoDetect.pm
  removing redundant code from init.pl
* Wed Jun 20 2001 - ms@suse.de
- add PrintLine function to CreateSections for printing
  XF86Config lines in unique format
* Tue Jun 19 2001 - ms@suse.de
- fixed reading of server layout in Layout.pm
- fixed reading of ServerFlags section in
  ( XconfigCallBack.pm,isax.pl )
* Tue Jun 19 2001 - ms@suse.de
- do not use hsmax for calculating modelines with algorithm
  method IteratePrecisely (ImportAPI.pm)
* Tue Jun 19 2001 - ms@suse.de
- removed search from isax make ( we will not compile the isax )
- add some defined checks to Layout.pm and LayoutCallBack.pm
  this is needed if the layout is determined if no window is
  present.
- fixed jp keyboard apply
- add tag for CreateHeader in CreateSections.pm to decide
  between ISaX and SaX2 generated config files
- enhancement for isax.pl to list and modify configurations
* Mon Jun 18 2001 - ms@suse.de
- fixed use of algorithm method during modeline algorithm
  selection (ImportAPI.pm)
- fixed iteration method if option -n is set. Add 3Hz for
  precisely iteration (xmode.c)
- curving stderr of fbset call to SaX.log
* Wed Jun 13 2001 - ms@suse.de
- fixed keyword Minimum... -> Min, Maximum... -> Max
  there are differences in some input drivers so SaX2 has
  to take care about this behaviour
- do not probe if fastpath is set
- fixed "no information" check in xapi.pl
* Tue Jun 12 2001 - ms@suse.de
- fixed en_US translation
* Fri Jun 08 2001 - ms@suse.de
- fixed framebuffer handling if the kernel is not in framebuffer
  mode and the user requested SaX2 to work with the kernel
  framebuffer
- fixed Flatpanel profile
- add raw commandline to SaX.log
- add framebuffer device information to SaX.log
* Thu Jun 07 2001 - ms@suse.de
- fixed WinINF.pm for reading iiyama .inf files
* Fri Jun 01 2001 - ms@suse.de
- add -timeout option to xidle
- add fastpath modules to SaX2 (mouse,keyboard,desktop,layout)
- fixed merging of single sections
- removed modules pex5 and xie
- add s3virge device S3 Trio64 (0x5333 0x8904)
- fixed keyboard detection if KEYTABLE is not
  set with .map.gz
* Mon May 14 2001 - ms@suse.de
- unblock mouse device if SaX2 is called within a
  X11 environment. Since the new libhd there are uncontroled
  mouse events which causes amazing effects
- update cs translation for XFine2
* Mon May 14 2001 - ms@suse.de
- changed background_pixmap type to ParentRelative
- removed intlfonts-ttf from require (Bug: 7667)
- fixed memory detection for ati cards (Bug: #7442 #8163)
- switched off Render support for xlook (broken fonts)
* Fri May 11 2001 - ms@suse.de
- fixed index files of documentation
- fixed memory detection for intel i810/i815 chips ( AGP )
- enable RENDER support for xlook
* Thu May 10 2001 - ms@suse.de
- fixed memory detection for savage chips
- fixed include of Modeline if --> VESA selection is made
* Wed May 09 2001 - ms@suse.de
- bzip2 sources
* Wed May 09 2001 - ms@suse.de
- fixed plog to use 7 letter DDC-ID`s
- update Monitors file ( add Belinea 106020 )
- fixed AutoDetect.pm to know the difference about
  Panels and CRT displays
- add Display type to sysp (xstuff) detection
* Tue May 08 2001 - ms@suse.de
- add up to 500 DDC ID`s for several monitors
- fixed LCD section in the Monitors file
* Mon May 07 2001 - ms@suse.de
- add nodeadkey flags to KbdLanguage file
- fixed KeyboardCallBack.pm not to change the layout if
  a new keyboard type is selected
* Mon May 07 2001 - ms@suse.de
- update intro version number to 4.3 stable release now
- fixed spec for CDB Monitor SONY G400
- fixed ButtonNumber if wheel is detected
- fixed SiS IDs, removed 3D entry for SiS 6326
- removed option NoHal for all Matrox devices
* Fri May 04 2001 - ms@suse.de
- add new SMI (Silicon Motion) chips to the Identity
- fixed pcilib cardbus bug not to stop if PCI proc subdir is missing
* Thu May 03 2001 - ms@suse.de
- removed .../fonts/misc FontPath entry
- add VMware support with the vmware_drv XFree86 4.x module
* Thu May 03 2001 - ms@suse.de
- fixed logging daemon
- fixed content of $cdisp if server is not started for a test
* Wed May 02 2001 - ms@suse.de
- update english translation files ( some typos fixed )
- update Identity.map (i386) add savage chips
* Wed May 02 2001 - ms@suse.de
- fixed bug #7441 ( double Return events on new Tk version 022 )
* Mon Apr 30 2001 - ms@suse.de
- add noabort patch from pciutils for lspci.c
- add cs_CZ translation and help text
* Fri Apr 27 2001 - ms@suse.de
- add firegl4 identity entries
- do not ask for 3D if framebuffer or vga is set
* Thu Apr 26 2001 - ms@suse.de
- fixed timing bug in xw.c. The scheduler will suspend the
  parent process while the child is sending the SIGUSR1 signal
  The child will now wait for the parent to be awake before
  executing the server.
- iconify keypad help, set mouse pointer to icon
* Wed Apr 25 2001 - ms@suse.de
- fixed parser bug ( not all resolutions were listed )
- Update Identity.map
* Tue Apr 24 2001 - ms@suse.de
- fixed Identity.map.i386 [ SiS ID`s ]
* Mon Apr 23 2001 - ms@suse.de
- fixed Getty() function [vt code]
* Mon Apr 23 2001 - ms@suse.de
- add version information to /var/log/SaX.log
- fixed root permissons for version info in SaX2 start script
* Sat Apr 21 2001 - ms@suse.de
- fixed xw.c not to open display in front of the twm
  init function. For example the siliconmotion driver will
  crash in Xlib XOpenDisplay without this fix
* Sat Apr 21 2001 - ms@suse.de
- add very important branch move fix for the SaX2 batch
  mode
* Fri Apr 20 2001 - ms@suse.de
- fixed XFine2 Escape sequence
- fixed xw.pl return code for non starting X-Server
  ( print process id even if the server fails to start )
- add gpm start/stop needed to get libhd mouse detection working
* Thu Apr 19 2001 - ms@suse.de
- add new libhd features to detect the number of buttons and wheels
- adapt AutoDetect.pm to use the new information
* Wed Apr 18 2001 - ms@suse.de
- add lt translation
* Tue Apr 17 2001 - ms@suse.de
- add vt code to init.pl ( vt switch after sysp detection )
- fixed typo in init.pl  ( error message )
* Tue Apr 17 2001 - ms@suse.de
- including schwab@suse.de patch into cvs
--> ( Avoid use of exceptions )
- including schwab@suse.de readline patch into cvs
--> ( Use new readline interface in perl/Term-ReadLine-Gnu-1.09 )
* Tue Apr 10 2001 - ms@suse.de
- update HashMap module to be able to move tree branches
- fixed CheckPID function in xc.pl
- fixed sysp segfault if no data is present
- update batch mode for profiles with multiple devices
  ( branch move )
* Mon Apr 09 2001 - ms@suse.de
- add suse_70 makro to spec file
- update tablet configuration
- add new firegl2 profile
- fixed rage 128 bug in hw detection ( sysp -> cfg.c )
* Fri Apr 06 2001 - ms@suse.de
- update spec file ( perl_tk -> perl-Tk )
- update spec file Require ( perl_tk -> perl-Tk )
* Thu Apr 05 2001 - ms@suse.de
- clean sysp C++ code to be save for AXP
- add transform() function to sysp.h
- update Identity
* Tue Apr 03 2001 - ms@suse.de
- remove leave binding from property dialogs
- add 8bit tga profile for 0x1011 / 0x0004
- fixed Neomagic MagicMedia 256AV bug (graphics + sound on one device)
- switch off dots while scanning hardware
- add option -ac to xw.c
* Thu Mar 29 2001 - ms@suse.de
- add use of fb.modes ( mainly used on ppc )
- fixed framebuffer timing setting for sysp ( xstuff )
* Fri Mar 23 2001 - ms@suse.de
- fixed sysp Makefile to be able to build SaX2 on
  ia64/axp
* Thu Mar 22 2001 - ms@suse.de
- removed cardmods from need for build
- fixed Makefile structure for SaX2
* Wed Mar 21 2001 - ms@suse.de
- add keypad help
- fixed spec file ( add Provides for saxtools )
* Tue Mar 20 2001 - ms@suse.de
- fixed multihead create/read section algorithm
  ( changed for XFree86 4.0.2 )
* Tue Mar 20 2001 - ms@suse.de
- add option -d to xstuff scan ( do not use DDC )
- update usage message for init.pl
* Mon Mar 19 2001 - ms@suse.de
- update help text according to new accessx usage
* Mon Mar 19 2001 - ms@suse.de
- add xaccess.c to configuration workflow
- fixed spec file ( make it more dynamically )
* Fri Mar 16 2001 - ms@suse.de
- add ia64 fix for libsysp.so
* Thu Mar 15 2001 - ms@suse.de
- add new hw detection ( much faster, written in C )
- add some fixes to the startup scripts and the GUI
- add XFree86 Clone feature
* Thu Mar 15 2001 - ms@suse.de
- add SaX2 to CVS
- add xshared to need for build
* Wed Mar 14 2001 - ms@suse.de
- removed xmods_3x from need for build
- use native libXxf86vm since the xmods_3x package was dropped
- ready for build on i386,ia64,ppc,alpha,sparc
* Sun Mar 11 2001 - ms@suse.de
- added xdevel to neededforbuild
* Fri Mar 09 2001 - ms@suse.de
- fixed WinINF Module
- removed 3.3.x libs in front of the compile process
* Tue Mar 06 2001 - ms@suse.de
- add xf86 to neededforbuild
* Wed Feb 28 2001 - ms@suse.de
- fixed xkbset call to use the correct display
- enable switch for UseFrameBufferTiming for PPC ( AutoDetect.pm )
- switch off monitordb connect
- disable usage of render extension
  ( not stable enough for all the drivers )
- Update Identity for PPC
* Mon Feb 26 2001 - ms@suse.de
- fixed 2 Point PCI detection ( look for 0x0000 sub ID`s too )
* Fri Feb 23 2001 - ms@suse.de
- added da_DK translation
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 22 2001 - ms@suse.de
- fixed Identity.map
- changed xbound.c to use WhitePixel frames
- cleaning various code parts ( mainly for ia64 port )
* Fri Feb 16 2001 - ms@suse.de
- fixed spec file
  ( I forgot the FDIR parameter within mkfontdir )
* Thu Feb 15 2001 - ms@suse.de
- important fix for the 3D detection in Scan3Dlib.pm
  eventually wrong VID/DID assignment if the card ist
  identified via the SUB vendor/device ID`s
* Thu Feb 15 2001 - ms@suse.de
- add changes to .cs translation
- add Font fix for the czech encoding
* Wed Feb 14 2001 - ms@suse.de
- update Identity
- fixed SuperProbe in ScanXstuff.pm if no PCI/AGP device
  has been detected
* Tue Feb 13 2001 - ms@suse.de
- changed demo.sh height ( 120 Pixel )
* Tue Feb 13 2001 - ms@suse.de
- fixed PCI detection if BusID > 10
- add architecture check for fbdev usage
- fixed bug in ScanServer.pm ( wrong X candidate if no card
  was detected )
* Mon Feb 12 2001 - ms@suse.de
- add UseFrameBufferTiming Option to the Desktop algorithm
- fixed xbanner source to be able to refresh the display
  ( add xmirror.c )
* Fri Feb 09 2001 - ms@suse.de
- changed xlook to use XRender extension, thats nice stuff :)
- add initial truetype font
* Fri Feb 09 2001 - ms@suse.de
- fixed twmrc not to be able to move windows
- add CT chipset names to CardGraphicChips
* Thu Feb 08 2001 - ms@suse.de
- disconnect from package susedb and change spec file
  not to connect to the mini-cdb... we will get a new DB
  export soon
- Update Identity to the latest version: TODAY
* Wed Feb 07 2001 - ms@suse.de
- fixed ESC sequnce in init.pl
- fixed \t substitution in Keyboard.pm
- fixed protocol detection in ScanKeyboard.pm
- add SGI_Flatpanel... profile
* Mon Feb 05 2001 - ms@suse.de
- add HashMap module, use with profile mode
- add CatchXidle() function to Orientation.pm
- modified xidle to handle Escape as abort sequence
* Thu Feb 01 2001 - ms@suse.de
- add italian translation files for XFine
- update italian translation files for SaX2
- fixed ati_r128_rl profile ( sync ranges )
- add italian help text
* Thu Feb 01 2001 - ms@suse.de
- update firegl profiles to use modelines for initial config
- update ati_r128_rl profil ( add Option usefbdev )
- fixed GetRcLang() function ( check for DEFAULT_LANGUAGE too )
- fixed wrong sync range check in ImportAPI.pm
* Wed Jan 31 2001 - ms@suse.de
- fixed xlook do not use static char array
- add new keys to ScanXstuff:
  Current  -> show current BusID for this card
  FbTiming -> show modeline from framebuffer if no DDC info
  Note: This is only applied to the primary card
- changed AutoDetect.pm to use the FbTiming if exist
* Mon Jan 29 2001 - ms@suse.de
- add XFine2 startup script ( use option -l  )
- fixed init.pl ( list command for %%var hash )
- update docu
- Profil mode description
- 3D interface description
* Wed Jan 24 2001 - ms@suse.de
- changed X11 connection test. There are cards which will cause
  a disaster if no widget is there and you send an XFlush to the
  display. To avoid this I changed the behaviour in xc.pl to
  look at the process table instead of testing the X11 display
* Wed Jan 24 2001 - ms@suse.de
- add [X+n] feature to the profile mode (init.pl)
- add SUBVENDOR and SUBDEVICE detection to the ScanServer code
  and to the Identity.map
* Tue Jan 23 2001 - ms@suse.de
- add variable handling to profile mode
- changed MinX to MinimumXPosition ... and so on
* Mon Jan 22 2001 - ms@suse.de
- fixed spec file
- changed ParseConfig.pm and XConfigCallBack.pm to be able
  to parse the Screen keyword in the device section
- changed parse.c (libxf86config) to use screen keyword
- add Screen keyword to Device section, used for
  Multi displays on single cards
* Mon Jan 22 2001 - ms@suse.de
- added .ca translation for SaX2 plus help texts
- added -hu translation for XFine2
* Sat Jan 20 2001 - schwab@suse.de
- Don't include <asm/io.h> on ia64.
* Fri Jan 19 2001 - ms@suse.de
- fixed plog ( main.c ) DDC code detection
  why the hell did shit happen a single step in front of a master ?
* Fri Jan 19 2001 - ms@suse.de
- add fgl23 module name to the module list
- fixed plog parser: allways add DDC id otherwhise the
  order of ddc_list on AutoDetect.pm is broken
- removed amazing VESA modes from VESA detection in
  plog ( parse.c )
- add order check for ScanXstuff to be comparable with
  ScanServer output
* Thu Jan 18 2001 - ms@suse.de
- fixed ImportAPI.pm allow yes|on
- add .hu translation ( help files )
- fixed tr symbols in CDB Keyboards
- add xidle and xbound to saxtools package
- Update monitordb LCD --> entries ( need new build )
* Mon Jan 15 2001 - ms@suse.de
- fixed plog parser. Add range check for Panel detection
* Fri Jan 12 2001 - ms@suse.de
- Stefan sndirsch@suse.de made a new x11db Entry so we need the
  SaX2 build to get this data
* Fri Jan 12 2001 - ms@suse.de
- added xmode and xquery to saxtools subpackage
* Thu Jan 11 2001 - ms@suse.de
- hide profile messages if set from -b profile or ident file
- decorate transients
- fixed pci.pl searching for profiles may wrong if different
  profiles for different flags are defined
- fixed xapi focus bug in Cards and Keyboards
- add keyboard handling for HList widgets
* Wed Jan 10 2001 - ms@suse.de
- fixed plog parser:
- static DDC length of four byte
- bug in getting maximum vesa mode
- fixed question occurence for 3D on multihead systems (don`t ask)
- fixed package control for mesasoft on multihead systems
- add message to xc.pl if packages are missing which
  contain the driver we need for startup ;)
* Wed Jan 10 2001 - ms@suse.de
- setup sysp -q 3d to be up to date in each situation
- fixed demo.sh don`t display xbanner if vga is active
  too less colors for banner and application
- fixed twmrc not to use too much colors
* Tue Jan 09 2001 - ms@suse.de
- fixed Scan3Dlib.pm do not call RunModule from ScanServer.pm
  use the current server status as sysp server query
* Tue Jan 09 2001 - ms@suse.de
- fixed bug in ScanXstuff.pm The new Flag value was not
  reported corectly. Add Flag setting to ScanServer.pm
- Adapt the GetQuery call for server in AutoDetect.pm
  The number of elements is now 11 not 10
- fixed flag question: do not ask while using vga or fbdev
- fixed plog parser use best refresh vesa mode not the
  less refresh mode
* Mon Jan 08 2001 - ms@suse.de
- make it more userfriendly with the keyboard
- fixed bug while removing mice, cards, desktops
- fixed 3D Check. Call is gone from LayoutCallBack to
  MainWindowCallBack
* Sat Jan 06 2001 - ms@suse.de
- fixed possible module bug during the following
  configuration tasks within xc.pl:
- Immediate Save
- Tune and Save
  recreate Module Section in both cases
- add twm as default windowmanager. Alas YaST2
  will not work without a window manager
- add syntax check for memory values during card
  selection
- fixed pci.pl do not remove registry if -p is given
- fixed double click behaviour of module selection
* Sat Dec 30 2000 - ms@suse.de
- fixed LANG export in sax.sh if "" or POSIX use en_US
- add cards.pl to spec file: create CDB Cards file
  out of the Identity.map
- fixed plog parser add range check for VESA modi
- fixed typos in xc.pl failure message
* Sat Dec 23 2000 - ms@suse.de
- fixed ScanServer.pm PCI detection. The old version will
  delete a PCI detected card which was not identified via
  Identity.map. This is wrong if the cards is detected on
  PCI/AGP it have to be listed even if it could not detected
  via Identity. For such cards the fbdev (1) or vga (2)
  driver is used.
* Fri Dec 22 2000 - ms@suse.de
- fixed module assignment in ScanServer.pm
* Fri Dec 22 2000 - ms@suse.de
- add BrowseMulti perl module
- fixed tr map in Keyboard.map
- fixed firegl2 profile
- fixed ScanServer.pm to understand multiple groups
  with same flags
* Wed Dec 20 2000 - ms@suse.de
- add FLAG key to Identity. This is usefull to set a
  special flag if we have more than one Identity entry for
  the same card
- update pci.pl
  ( remove registry to prevent us for wrong assignments )
- update ScanServer.pm and init.pl to use the new FLAG
  keys
- add selection of resolution if the monitor name is able
  to give us this information
* Tue Dec 19 2000 - ms@suse.de
- fixed typos in english translation
* Tue Dec 19 2000 - ms@suse.de
- add diamon_firegl2/3 profile
- fixed trq -> tr keymap
- add latin5 fonts to the first font page
- fixed order of SCRIPT3D (first) PACKAGE3D (second) in ScanServer.pm
- changed auto configuration setup. If 3D is supported the
  auto configuration will setup it
* Tue Dec 19 2000 - ms@suse.de
- fixed bug in package list file for YaST2
- changed userinput to false while installing packages
* Mon Dec 18 2000 - ms@suse.de
- fixed xbanner color gradient
- add 3D module to install and support 3D via SaX2
* Thu Dec 14 2000 - ms@suse.de
- changed pci.pl to use ScanServer.pm module
- fixed ScanServer.pm PCI detection code
  ( new algorithm for integrated chip technology like neomagic )
* Tue Dec 12 2000 - ro@suse.de
- added hwinfo to neededforbuild
* Tue Dec 12 2000 - ms@suse.de
- speedup detection
  only one server start if only one card is used
  primary device detection is not needed in this case
- decrease color space of pixmaps ( tux.xpm )
* Mon Dec 11 2000 - ms@suse.de
- update error text, if server fails to start (xc.pl)
- add auto ftp update for translations ( internal only )
- changed behaviour if -l option:
  . the DDC detection is switched off
  . virtual setting is disabled
  . 640 x 480 @ 60 Hz is used
* Thu Dec 07 2000 - ms@suse.de
- fixed serious bug in GetDDCRecord function ( AutoDetect.pm )
  wrong monitor detection if DDC is is not located in the data basis
- add Root-Screen Identification ( Gimmik )
- fixed plog parser for DDC id`s
- fixed Balloon update code
* Wed Dec 06 2000 - ms@suse.de
- add xmode patch not to overrule vsync definition
* Wed Dec 06 2000 - ms@suse.de
- Primary device detection fix
- Return binding for Load3DModules
- New Languages .nl .hu
- fix for still open multi browse boxes
- fix for CreateSections ( VideoRam )
- add system draft documentation
- fixed spec file libhddev -> hwinfo-devel
- increase automatic TTL to 30 sec
* Thu Nov 30 2000 - ms@suse.de
- fixed init.pl batch mode
  ( bug in recursive tree traversing )
- add turkish language to KbdLanguage
- fixed intro.pl ( add info sign )
* Tue Nov 28 2000 - ms@suse.de
- add english and german help texts
  thanks to afaber@suse.de <Antje Faber>
- add idle time for server time to live ( 10 seconds )
- add vt switch in front of drawing to root window
* Thu Nov 23 2000 - ms@suse.de
- add DDC code to AutoDetect.pm
- fixed init.pl ( use RC_LANG from rc.config to set FontPath )
- fixed init.pl ( use more than one FontPath as first ones   )
- fixed ScanKeyboard.pm ( add XkbOptions )
- fixed data files ( Keyboards (czech) and KbdLanguages )
* Wed Nov 22 2000 - ms@suse.de
- add BuildRoot
- fixed Makefile(s) ( SaX2 XFine2 )
- add USB Tablet support
* Tue Nov 21 2000 - ms@suse.de
- add FontPath for japanese and CID
- add vt switch code in xc.pl and MainWindowCallBack.pm
  ( see /var/log/xvt )
* Mon Nov 20 2000 - ms@suse.de
- fixed utility disk reading
- fixed vt switch
* Thu Nov 16 2000 - ms@suse.de
- switched to brand new interface ( sax2 RPM version 4.1 )
- add config-dist.sh
- update spec file
* Thu Nov 16 2000 - ro@suse.de
- changed  neededforbuild <perl_gtx> to <perl-gettext>
* Tue Nov 07 2000 - ro@suse.de
- fixed neededforbuild (perl_tie)
* Mon Nov 06 2000 - ro@suse.de
- xf86OpenConfigFile renamed to xf86openConfigFile
  (analog for read,write,close)
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Oct 25 2000 - ms@suse.de
- fixed fbmode calculation within xmode
- fixed spec file
* Fri Oct 20 2000 - ms@suse.de
- fixed some parser bugs on keys which never has been used
- add some new data files. They are not installed at the moment.
- we should have a look if the new API is gone
* Thu Oct 19 2000 - ms@suse.de
- disable 3D in the initial startup configuration
* Mon Oct 16 2000 - ms@suse.de
- fixed DPMS bug, option was not written
* Mon Oct 09 2000 - ms@suse.de
- add basic docs README and LICENCE
- fixed plog parser special XFree86 symbols with white spaces
- fixed ScanXstuff module. Server output differs from log file
  using logfile to obtain information
* Mon Oct 09 2000 - ms@suse.de
- fixed module options, if Bustype is ISA the option
  was ignored... bad thing, fixed
* Wed Oct 04 2000 - ms@suse.de
- fixed xmode if ( x <= y lead to an endless loop )
- add korean font path
* Tue Sep 26 2000 - ms@suse.de
- fixed TestLink bug within SaX2 start script
* Fri Sep 22 2000 - ms@suse.de
- fixed nodeadkey bug in Keyboard.pm
* Thu Sep 21 2000 - ms@suse.de
- fixed KeyboardCallBack.pm
- remove patch from olh, check this stuff and add a clean patch
- add powerpcps2 Keyboard to CDB Keyboards
- fixed ImportAPI Modul
- \\n substitution -> \n
- architecture check for ppc if fbdev is used
- fixed spec file
- fixed KeyCodes bug
* Wed Sep 20 2000 - olh@suse.de
- remove XkbKeyCodes entries
* Mon Sep 18 2000 - ms@suse.de
- update mprobe/kprobe to current libhd status
- add monitor DB to spec file source
* Mon Sep 18 2000 - ms@suse.de
- fixed Identity
- incorp changes from schwab and olh ( thank you )
* Sun Sep 17 2000 - schwab@suse.de
- Fix SuperProbe for ia64.
* Fri Sep 15 2000 - olh@suse.de
- update ati_ibook file, fix keyboard detecting
* Fri Sep 15 2000 - olh@suse.de
- fix white foreground bug
* Fri Sep 15 2000 - ms@suse.de
- add ati_ibook profile   (ppc)
- add ibook monitor to db
- add ati_mach64 profile  (ppc)
* Thu Sep 14 2000 - ms@suse.de
- update keyboard map for ppc
- fixed bug in ScanKeyboard.pm ( MacRISC -> is macintosh )
* Wed Sep 13 2000 - ms@suse.de
- fixed resolution bug within DesktopCallBack.pm
* Tue Sep 12 2000 - ms@suse.de
- fixed bug within ScanKeyboard ( wrong map selection )
- add data to Monitor db
* Mon Sep 11 2000 - ms@suse.de
- fixed perl compiler call within isax
- update sax2 to work with perl 5.6
* Mon Sep 11 2000 - ms@suse.de
- fixed Monitor database
- add latest Storable version
* Wed Sep 06 2000 - ms@suse.de
- fixed powerpcps2 bug in ScanKeyboard.pm
* Mon Sep 04 2000 - ms@suse.de
- add key-expansion on Card and Monitor page
- add Fujitus Siemens Computers Monitor entries
* Fri Sep 01 2000 - ms@suse.de
- fixed panel detection for TFT/DSTN panels, in plog
* Thu Aug 31 2000 - ms@suse.de
- add powerbook profile
- add imac profile
- fixed 15bit detection in AutoDetect.pm
- add Identity entry for powerbook rage mobility chip
* Wed Aug 30 2000 - ms@suse.de
- add 15bit patch for ppc to AutoDetect.pm
- enable 15bit for selection within MonitorColors and
  CreateSections.pm
* Mon Aug 28 2000 - ms@suse.de
- fixed error message during sax2 startup if kdm is running
- fixed keyboard handling within scroll widgets
* Wed Aug 23 2000 - ms@suse.de
- fixed segfault bug of freetemp in demo.sh
- changed xw.pl -> new code is C using SIGUSR1 from server
* Tue Aug 22 2000 - ms@suse.de
- fixed \n substitution within ImportAPI.pm
- fixed segfault bug within xkbset.c
- add susedb requirement to spec and use minicdb data
- use own LabelFrame modul
- increased size of multihead stack in parse.c ( XFree.pm )
* Tue Aug 22 2000 - ms@suse.de
- fixed calc command within batchmode
- fixed SaX2 wrapper script ( vars between ".." )
- changed hungarian translation
- update documentation
- fixed firegl profile
* Fri Aug 11 2000 - ro@suse.de
- updated french texts from flermen
* Tue Aug 01 2000 - ms@suse.de
- fixed bug in DRI section. Section was not written if
  mode tuning forces rewrite of Modes Section
* Fri Jul 28 2000 - ms@suse.de
- add profile handling. Special profiles may be
  copied to /var/X11R6/lib/sax/profile
* Thu Jul 27 2000 - ms@suse.de
- add refresh code to xquery and MainWindowCallback.pm
* Thu Jul 27 2000 - ms@suse.de
- fixed SaX2 start script ( xinit call )
* Thu Jul 27 2000 - ms@suse.de
- add guitest script for the translaters
- fixed spec file ( mkdir of xfine directory )
* Thu Jul 27 2000 - ms@suse.de
- added italian translation for sax2
- added translation comments
- added slovak translation for sax2 and xfine2
* Tue Jul 25 2000 - ms@suse.de
- added WinINF module to read windows .inf files
- upgrade german translation
* Tue Jul 25 2000 - ms@suse.de
- fixed PCI/AGP detection: If there are more than one
  devices on the AGP bus we lost some data. This only happens
  if add-on cards are used
* Mon Jul 24 2000 - ms@suse.de
- added werners security suggestions
* Mon Jul 24 2000 - ms@suse.de
- removed "domain" keyword from .po files ( needed by manual-team )
- fixed Makefile for sax and xfine ( msgfmt -o ... )
- fixed LANG bug caused through security fix within SaX2 Skript
- fixed isax ( add DRI section )
* Fri Jul 21 2000 - ms@suse.de
- add 105 Key entry in the Keyboards file
- do not use readlink from the tetex package, use own function
- Jordi fixed portugese translation
* Fri Jul 21 2000 - ms@suse.de
- fixed OptionMenu widgets to work with the keyboard
* Thu Jul 20 2000 - ms@suse.de
- fixed LANG export (sax.sh)
- changed name: registry -> database
* Tue Jul 18 2000 - kendy@suse.cz
- Fixed czech mapping and writing of group switch
* Mon Jul 17 2000 - ms@suse.de
- add fgl1 modul to selection list
- add vesa mode to modelist if DDC is not detected and
  the driver module ist not vga
- disable Emulate3Buttons
- changed czech mapping
* Fri Jul 14 2000 - ms@suse.de
- fixed mouse detection code (multiple devices)
- add various security fixes. SaX2 use the
  tmp directories /tmp/sax2-$$ /tmp/sysp-$$
- add xfine2 link ( xfine tool for XFree86-4.0 sax2 <-> xfine2 )
* Thu Jul 13 2000 - ms@suse.de
- add sux user switch to SaX2 script
* Thu Jul 13 2000 - ms@suse.de
- add cs texts
- add primary device detection:
  * ScanXstuff detects primary device
  * ScanServer changes order if necessary
  * init.pl needs two runs of server/stuff to determine
  the primary device
  * pci.pl lookup primary device within stuff
- add vt switch handler
  (virtual terminal switch: xw.pl )
- changed image loading. Image loading is the first
  widget so nobody can do amazing things while loading :)
* Tue Jul 11 2000 - ms@suse.de
- fixed spec file ( %%preun )
* Tue Jul 11 2000 - ms@suse.de
- add new suse.gif for xfine
- fixed CreateSections.pm bug ( CreateModuleSection )
* Mon Jul 10 2000 - ms@suse.de
- fixed Identity
- add sleep to RestoreDisplay() function
- add framebuffer mode algorithm to xmode
- fixed spec file (FHS) changed:
  /usr/X11R6/lib/sax/files/        -> /var/X11R6/lib/sax/files/
  /usr/X11R6/lib/sax/sysp/rdbms    -> /var/X11R6/lib/sax/sysp/rdbms
- add notification if registry is used
  ( option -w to ommit this )
* Mon Jul 03 2000 - ms@suse.de
- changed black image to midnight blue image
- add portugese language support
- add xloader requirement on spec
* Fri Jun 30 2000 - ms@suse.de
- fixed some german typos
- fixed ServerFlag flag names
- fixed keyboard repeat property - virtual mouse
* Thu Jun 29 2000 - ro@suse.de
- removed conflicting man-pages
* Wed Jun 28 2000 - ms@suse.de
- fixed file conflicts between Storable and gettext
  using perl_sto and perl_gtx package
- fixed mprobe.c for multiple mice
- fixed config header
* Tue Jun 27 2000 - ms@suse.de
- fixed Identity ( there was a soundcard listed ...ups )
* Mon Jun 26 2000 - kukuk@suse.de
- fixed scanpci on 32bit SPARC
* Mon Jun 26 2000 - ms@suse.de
- fixed Identity
* Mon Jun 26 2000 - ms@suse.de
- fixed FontPath order
* Fri Jun 23 2000 - ms@suse.de
- fixed scanpci code
- fixed SuperProbe code
- ready for build on i386 ia64 axp sparc ppc
- fixed catalan texts
* Fri Jun 23 2000 - ms@suse.de
- fixed Makefile ( build on alpha )
* Fri Jun 23 2000 - ro@suse.de
- link wrap with -lXext
* Wed Jun 21 2000 - ms@suse.de
- fixed link environment call
* Wed Jun 21 2000 - ms@suse.de
- fixed some typos bugs within the german translation
- fixed multiple window instanzes of "enter value box"
- set maximum devices to 6
* Tue Jun 20 2000 - ms@suse.de
- add xbound root window bounding program
- add french translation (beta)
* Tue Jun 20 2000 - ms@suse.de
- fixed scanpci ( if there is no lspci ) remove option -s
- add spanish texts
* Tue Jun 20 2000 - ms@suse.de
- add xbanner to X11 configuration
- add restore code to xc.pl
* Mon Jun 19 2000 - ms@suse.de
- add subpackage saxtools for YaST2
- add usage message for xmset
- create pac file for saxtools.rpm
* Sun Jun 18 2000 - ms@suse.de
- fixed xw.pl (zombie) while using firegl1 module
- fixed demo font
- fixed rpm call to test for sax package
- fixed 24 bit detection on firegl1
- add ken wimer`s xfine logo ( thank you ken )
* Fri Jun 16 2000 - ms@suse.de
- fixed PCI detection code for class 0300 and unknown
  devices which are identified by vendor and device ID
* Fri Jun 16 2000 - ms@suse.de
- fixed xmset and xkbset requirements ( libXxf86vm )
- fixed WM_DELETE_WINDOW signal within Message.pm
- fixed open toplevels within Cards.pm and Desktop.pm
  ( BrowseMulti functions )
* Wed Jun 14 2000 - ms@suse.de
- fixed plog parser ( numbers in module identification )
- add options for Matrox G200 cards
- fixed RestoreDisplay() in MainWindowCallback.pm
* Thu Jun 08 2000 - ms@suse.de
- add logo by Fritz Design
- remove postinstall, fixed spec file
* Wed May 24 2000 - ms@suse.de
- test misc extension
- fixed xmset.c
- add new parse code to plog
* Wed May 24 2000 - ms@suse.de
- add Emulate3Buttons to AutoDetect.pm
- fixed CardModules ( some wrong options for module xx )
* Tue May 23 2000 - ms@suse.de
- add <cardmods> xf86 subpackage dependancy to spec file
- add option/module dependand code to CardCallBack.pm
* Tue May 23 2000 - ms@suse.de
- use statically libXxf86vm.a for xquery.c
- removed libXt requirement from xquery.c
- fixed SaX2 main geometry
- add hungarian translation
* Thu May 18 2000 - ms@suse.de
- fixed scan function ( first try with the mouse )
- update documentation
- add truetype fontpath
- fixed post install of spec file
* Wed May 17 2000 - ms@suse.de
- add translation changes ( thanks to emap@suse.de )
- fixed keyboard selection
- fixed locale msgid`s
* Tue May 16 2000 - ms@suse.de
- fixed PathCallback.pm ( wrong module selection )
- fixed XFree.pm ( extmod extension was not listed )
* Fri May 12 2000 - ms@suse.de
- changed dialog order
- fixed spec file
* Tue May 09 2000 - ms@suse.de
- add kprobe to detect keyboard - ScanKeyboard.pm -
- fixed spec file ( docu macro for SuSE 7.0 )
* Mon May 08 2000 - ms@suse.de
- fixed spec file to build on sparc
* Fri May 05 2000 - ms@suse.de
- add EXT=   OPT=    RAW=  options to the Identity
  This enables options to be set while scanning the hardware
* Thu May 04 2000 - ms@suse.de
- fixed libxmode for fixed clock modelines
- add sync range test in ImportAPI.pm
* Thu May 04 2000 - ms@suse.de
- fixed bug in resolution entry ( virtual mouse )
- add english help text
* Wed May 03 2000 - ms@suse.de
- fixed tools for clean compile
- fixed getopt to work on power-pc
- fixed spec file and build environment to build on ppc
- ( no scanpci and SuperProbe for ppc )
* Wed May 03 2000 - ms@suse.de
- fixed spec file
- fixed plog to build on alpha/sparc
- fixed AutoRepeat defaults
- changed maximum resolution for vesa call
* Thu Apr 27 2000 - ms@suse.de
- fixed ScanXstuff vga mode ( remove DDC stuff on vga )
- add fixed clock line to log parser (plog)
- add fixed clock stuff to AutoDetect.pm
  ( initial probeonly config may use fixed clocks )
- add fixed clock stuff to GetModeline function
  ( ImportAPI.pm may use fixed clocks additionally )
- fixed modeline stuff within GetModeline function
  ( redundancy )
- fixed bug in DesktopCallBack.pm
  ( wrong HandleDesktopColor call )
* Tue Apr 25 2000 - ms@suse.de
- fixed spec file
- changed location of isax for XFree86 4.0
- update Keyboard.map
- add tablet support ( Wacom Stylus ) no autodetection jet
* Tue Apr 25 2000 - ms@suse.de
- fixed focus bugs in Message.pm
- update documentation ( only source package )
* Tue Apr 11 2000 - ms@suse.de
- fixed VGA mode ( resolution range )
- add new logo for xapi.pl and intro.pl
- add Speedo font support
- fixed extmod loading
- add architecture scan for powerpcps2 keyboards
* Thu Apr 06 2000 - ms@suse.de
- add scanpci option -n to work like lspci -n
  ( on systems missing lspci )
- fixed sysp.pl to recognize old .db perl dbm hashes
- fixed ScanMouse.pm to detect auto protocol if
  mprobe fails
* Tue Apr 04 2000 - ms@suse.de
- load DRI and GLX modules only for TDFX module
- fixed AGP switch within ScanServer.pm
- fixed mouse detection ( /dev/mouse -> Auto: on default )
- fixed plog vesa call
- add warnings if sysp -q fails
* Mon Apr 03 2000 - ms@suse.de
- add pixmap apply.xpm ( spare area )
- add hungarian translation
* Mon Apr 03 2000 - ms@suse.de
- add usbmouse and adbmouse devices to PointerData
- fixed -p option within sax.sh
* Fri Mar 31 2000 - ms@suse.de
- fixed PCI detection
- add SaX2 -> SaX compatibility mode
* Wed Mar 29 2000 - ms@suse.de
- add vesa DDC call to plog
- add isax module for XFree86 4.0
- fixed xfine to work quiet ( see option --quiet )
- fixed xapi.pl to send update event on server startup
* Tue Mar 28 2000 - ms@suse.de
- fixed DDC detection view
- fixed startup script
* Thu Mar 23 2000 - ms@suse.de
- libxf86config.a is broken using 15 bit colordepth
  disable 15bit temporarly. Modified files:
  CreateSections.pm
  MonitorColors
* Wed Mar 22 2000 - ms@suse.de
- add 15 bit color depth
- add DRI and GLX support (used for voodoo/banshee)
- add option --node < mousedevice >
- add option --type < mousetype   >
- change batch mode to use interactive shell or
  read directly from stdin
* Tue Mar 21 2000 - ms@suse.de
- fixed AutoDetect.pm -> if DDC record empty set standard freq range
- fixed LayoutCallBack.pm -> error while parsing ServerLayout section
- fixed parse.c -> Irq setting only enabled if Irq > 0
- fixed MainWindowCallback.pm -> do not write empty depth value
- fixed xrun.pl kill wrapper process if X could not start
* Mon Mar 20 2000 - ms@suse.de
- fixed AutoDetect.pm ( Modelines on single Modes sections )
- fixed ScanServer.pm ( wrong number of cards detected )
- add Tablet type and Model to the configuration
- update Identity.map
* Thu Mar 16 2000 - ms@suse.de
- add README and LICENCE to the source
- fixed bug while selecting keyboard model
* Wed Mar 15 2000 - ms@suse.de
- changed AGP/PCI scan result AGP allways first card
- add help system and german help texts
- fixed keyboard detection
* Tue Mar 14 2000 - ms@suse.de
- create driver list according to the installed modules
- fixed Makefile
- add mode switch possibility to xfine
- moved BrowseEntry to BrowseEntrySaX
* Mon Mar 13 2000 - ms@suse.de
- fixed bug in parsing non standard VESA modes
- add german translation for sax and xfine
* Fri Mar 10 2000 - ms@suse.de
- add new modeline algorithm -> libXmode
- remove RamDac scale
- remove HardLimit checkbox
- switch SecureMethod/BestMethod to the possibility of
  checking the geometry of xmode Modelines
* Wed Mar 08 2000 - ms@suse.de
- changed color names
- changed order of color/resolution entry
* Wed Mar 08 2000 - ms@suse.de
- fixed startup bug in xc.pl
  ( very strange because SaX contains the upper case letter
  X which is part of the proc list )
* Wed Mar 08 2000 - ms@suse.de
- fixed vga probe (libXaw)
- fixed spec file
* Tue Mar 07 2000 - ms@suse.de
- add CDB selection
* Mon Mar 06 2000 - ms@suse.de
- changed name to sax2
- remove xfine link to hold compatibility to xfine package
  Note: xfine for XFree4.0 is located at /usr/X11R6/lib/xfine/...
  until SuSE 7.0 is released
- fixed startup script
* Wed Mar 01 2000 - ms@suse.de
- add desktop info to xrun
* Tue Feb 29 2000 - ms@suse.de
- add xkbset utility
- add keyboard definitions
- add some keywords to CDB file Keyboards
* Wed Feb 23 2000 - ms@suse.de
- fixed bug while saving modelines
- fixed bug in changing monitor snyc's
* Mon Feb 21 2000 - ms@suse.de
- add main screen function
- add control function to be able to run xfine as
  standalone application
* Fri Feb 18 2000 - ms@suse.de
- add mode switch utility
- fixed modeline saving bug
- test xfine in multihead environment
* Tue Feb 15 2000 - ms@suse.de
- add xfine tuning tool
* Wed Feb 09 2000 - ms@suse.de
- added apply function to use XF86MiscSetMouseSettings
- some other changes in xapi.pl and MouseCallback.pm
* Mon Feb 07 2000 - ms@suse.de
- some changes within the AutoDetect Module
- some bugfixes within the API
* Tue Feb 01 2000 - ms@suse.de
- fixed spec file
* Thu Dec 23 1999 - ms@suse.de
- SaX version 4.0 -> is first release of
  next step X11 configuration release 6.4 ( XFree86 4.0 )
